# Uses of Enum Class
com.ocient.metrics.Metric.Units

Packages that use Metric.Units
Package
Description
com.ocient.metrics

## Uses of Metric.Units in com.ocient.metrics

Methods in com.ocient.metrics that return Metric.Units
Modifier and Type
Method
Description
`final Metric.Units`
Metric.`units()`
`static Metric.Units`
Metric.Units.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Metric.Units[]`
Metric.Units.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.metrics with parameters of type Metric.Units
Modifier and Type
Method
Description
`PerfCounter`
MetricsRegistry.`getCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Fetches a `PerfCounter` or creates one if no such counter exists.
`static PerfCounter`
PerfCounter.`longCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Creates a new `PerfCounter` instance for a `long` value.
Constructors in com.ocient.metrics with parameters of type Metric.Units
Modifier
Constructor
Description
``
`Gauge(Metric.MetricPath path, LongSupplier supplier, Metric.CounterType counterType, Metric.Units units)`